RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2060759 - kernelopts variable has been deprecated in rhel8
Summary: kernelopts variable has been deprecated in rhel8
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: doc-Release_Notes-8-en-US
Version: 8.5
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: rc
: 8.6
Assignee: Lucie Vařáková
QA Contact: RHEL DPM
Jana Heves
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-04 08:34 UTC by Jaroslav Klech
Modified: 2023-02-06 13:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Deprecated Functionality
Doc Text:
.The `kernelopts` environment variable has been deprecated In RHEL 8, the kernel command-line parameters for systems using the GRUB bootloader were defined in the `kernelopts` environment variable. The variable was stored in the `/boot/grub2/grubenv` file for each kernel boot entry. However, storing the kernel command-line parameters using `kernelopts` was not robust. Therefore, with a future major update of RHEL, `kernelopts` will be removed and the kernel command-line parameters will be stored in the Boot Loader Specification (BLS) snippet instead.
Clone Of:
Environment:
Last Closed: 2022-05-19 06:50:32 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-114470 0 None None None 2022-03-04 08:35:11 UTC


Note You need to log in before you can comment on or make changes to this bug.